#946 closed enhancement (invalid)

debian build

Reported by: al4711 Owned by: feiner.tom
Priority: normal Milestone:
Component: deb package Version: 1.4.5
Severity: normal Keywords: debian
Cc:

Description

I think that the javac should be used from /etc/alternatives

I suggest to change the JC variable from

JC         = /usr/lib/jvm/default-java/bin/javac

to

JC         = /etc/alternatives/javac

Attachments (1)

body-content-bg.gif (184 bytes) - added by Slavon8 at 2014-05-31T08:35:39+02:00.
http://amazonfinder.tumblr.com/

Download all attachments as: .zip

Change History (3)

comment:1 Changed at 2010-08-13T15:58:07+02:00 by feiner.tom

  • Milestone Munin 1.4.6 deleted
  • Resolution set to invalid
  • Status changed from new to closed

As this is a a debian specific issue, and not a munin issue per se, I've opened a bug in the debian BTS [1] , and I'll close this bug.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592864

comment:2 Changed at 2010-08-23T10:42:34+02:00 by al4711

This is the output with default java build

###
.
.
.
cd plugins/javalib && /usr/lib/jvm/default-java/bin/javac -g -source 1.5 -target 1.5 org/munin/plugin/jmx/GCCountGet.java


  1. WARNING in org/munin/plugin/jmx/GCCountGet.java (at line 30)

Set mbeans = connection.queryNames(gcName, null);

Set is a raw type. References to generic type Set<E> should be parameterized


  1. WARNING in org/munin/plugin/jmx/GCCountGet.java (at line 33)

Iterator iterator = mbeans.iterator();

Iterator is a raw type. References to generic type Iterator<E> should be parameterized


  1. WARNING in org/munin/plugin/jmx/GCCountGet.java (at line 54)

private String formatMillis(long ms) {


The method formatMillis(long) from the type GCCountGet is never used locally


  1. WARNING in org/munin/plugin/jmx/GCCountGet.java (at line 58)

private String formatBytes(long bytes) {


The method formatBytes(long) from the type GCCountGet is never used locally


4 problems (4 warnings)mkdir -p build/dirname plugins/javalib/org/munin/plugin/jmx/GCCountGet.class
cp plugins/javalib/org/munin/plugin/jmx/GCCountGet.class build/plugins/javalib/org/munin/plugin/jmx/GCCountGet.class
cd plugins/javalib && /usr/lib/jvm/default-java/bin/javac -g -source 1.5 -target 1.5 org/munin/plugin/jmx/MemoryEdenUsagePostGC.java


  1. WARNING in org/munin/plugin/jmx/MemoryEdenUsagePostGC.java (at line 2)

import java.lang.management.ManagementFactory?.*;


The import java.lang.management.ManagementFactory? is never used



  1. ERROR in /root/1.4-stable_20100823/plugins/javalib/./org/munin/plugin/jmx/ConfReader.java (at line 2)

import javax.management.remote.JMXConnector;


The import javax.management.remote cannot be resolved


  1. ERROR in /root/1.4-stable_20100823/plugins/javalib/./org/munin/plugin/jmx/ConfReader.java (at line 56)

credentials.put(JMXConnector.CREDENTIALS,


JMXConnector cannot be resolved


3 problems (2 errors, 1 warning)make[1]: * [plugins/javalib/org/munin/plugin/jmx/MemoryEdenUsagePostGC.class] Error 255
rm plugins/javalib/org/munin/plugin/jmx/MemoryEdenUsagePostGC.class plugins/javalib/org/munin/plugin/jmx/GCCountGet.class
make[1]: Leaving directory `/root/1.4-stable_20100823'
make:
* [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
###

Note: See TracTickets for help on using tickets.